### Method

# Meta SoundPlayer play_from_theme

#### Declaration [src]

    void
    meta_sound_player_play_from_theme (
      MetaSoundPlayer* player,
      const char* name,
      const char* description,
      GCancellable* cancellable
    )

#### Description [src]

Plays a sound from the sound theme.

#### Parameters

`name`

  Type: `const char*`

  Sound theme name of the event.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  Description of the event.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Cancellable for the request.

  The argument can be `NULL`.
  The data is owned by the caller of the method.